[gnome-bluetooth] compiling libbtcl under redhat 9

Raphael Clifford raph at dcs.kcl.ac.uk
Sun Sep 12 19:37:17 BST 2004


Hi,

I get a fatal compile error when trying to compile libbtctl-0.4.1 on 
redhat 9.


Configure appears to be fine but "make" finishes thus:

[...]
make[3]: Entering directory `/home/raph/libbtctl-0.4.1/src'
if /bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I..  
-g -I../intl -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   
-INONE/include -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 
-I/usr/lib/glib-2.0/include   -I/usr/include/python2.2 
-I/usr/local/include -DDATA_DIR="\"/usr/local/share/libbtctl\"" 
-DGETTEXT_PACKAGE="\"libbtctl\""   -g -O2 -MT btctl-py.lo -MD -MP -MF 
".deps/btctl-py.Tpo" \
  -c -o btctl-py.lo `test -f 'btctl-py.c' || echo './'`btctl-py.c; \
then mv -f ".deps/btctl-py.Tpo" ".deps/btctl-py.Plo"; \
else rm -f ".deps/btctl-py.Tpo"; exit 1; \
fi
 gcc -DHAVE_CONFIG_H -I. -I. -I.. -g -I../intl -I/usr/include/glib-2.0 
-I/usr/lib/glib-2.0/include -INONE/include -I/usr/include/pygtk-2.0 
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
-I/usr/include/python2.2 -I/usr/local/include 
-DDATA_DIR=\"/usr/local/share/libbtctl\" -DGETTEXT_PACKAGE=\"libbtctl\" 
-g -O2 -MT btctl-py.lo -MD -MP -MF .deps/btctl-py.Tpo -c btctl-py.c  
-fPIC -DPIC -o .libs/btctl-py.o
btctl.c:203: `freefunc' undeclared here (not in a function)
btctl.c:203: initializer element is not constant
btctl.c:203: (near initialization for `PyBtctlController_Type.tp_free')
btctl.c:203: parse error before numeric constant
btctl.c:318: `freefunc' undeclared here (not in a function)
btctl.c:318: initializer element is not constant
btctl.c:318: (near initialization for `PyBtctlObex_Type.tp_free')
btctl.c:318: parse error before numeric constant
btctl.c:442: `freefunc' undeclared here (not in a function)
btctl.c:442: initializer element is not constant
btctl.c:442: (near initialization for `PyBtctlObexClient_Type.tp_free')
btctl.c:442: parse error before numeric constant
make[3]: *** [btctl-py.lo] Error 1
make[3]: Leaving directory `/home/raph/libbtctl-0.4.1/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/raph/libbtctl-0.4.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/raph/libbtctl-0.4.1'
make: *** [all] Error 2


Any ideas?

Raphael
P.S. I have attached config.log


-------------- next part --------------
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by libbtctl configure 0.4.1, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  $ ./configure 

## --------- ##
## Platform. ##
## --------- ##

hostname = lesshaste.plus.com
uname -m = i686
uname -r = 2.4.26
uname -s = Linux
uname -v = #4 Mon Aug 2 14:13:30 BST 2004

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = i686
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/X11R6/bin
PATH: /usr/lib/jre/bin
PATH: /usr/lib/kde3/bin
PATH: /home/raph/bin
PATH: /usr/lib/jre/bin
PATH: /usr/lib/kde3/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1570: checking for a BSD-compatible install
configure:1625: result: /usr/bin/install -c
configure:1636: checking whether build environment is sane
configure:1679: result: yes
configure:1704: WARNING: `missing' script is too old or missing
configure:1712: checking for gawk
configure:1728: found /usr/bin/gawk
configure:1738: result: gawk
configure:1748: checking whether make sets $(MAKE)
configure:1768: result: yes
configure:1933: checking whether to enable maintainer-specific portions of Makefiles
configure:1942: result: no
configure:1963: checking for intltool >= 0.18
configure:1973: result: 0.30 found
configure:2028: checking for perl
configure:2046: found /usr/bin/perl
configure:2058: result: /usr/bin/perl
configure:2176: checking build system type
configure:2194: result: i686-pc-linux-gnu
configure:2202: checking host system type
configure:2216: result: i686-pc-linux-gnu
configure:2236: checking for style of include used by make
configure:2264: result: GNU
configure:2335: checking for gcc
configure:2351: found /usr/bin/gcc
configure:2361: result: gcc
configure:2605: checking for C compiler version
configure:2608: gcc --version </dev/null >&5
gcc (GCC) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2611: $? = 0
configure:2613: gcc -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --host=i386-redhat-linux
Thread model: posix
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
configure:2616: $? = 0
configure:2618: gcc -V </dev/null >&5
gcc: argument to `-V' is missing
configure:2621: $? = 1
configure:2644: checking for C compiler default output file name
configure:2647: gcc    conftest.c  >&5
configure:2650: $? = 0
configure:2696: result: a.out
configure:2701: checking whether the C compiler works
configure:2707: ./a.out
configure:2710: $? = 0
configure:2727: result: yes
configure:2734: checking whether we are cross compiling
configure:2736: result: no
configure:2739: checking for suffix of executables
configure:2741: gcc -o conftest    conftest.c  >&5
configure:2744: $? = 0
configure:2769: result: 
configure:2775: checking for suffix of object files
configure:2796: gcc -c   conftest.c >&5
configure:2799: $? = 0
configure:2821: result: o
configure:2825: checking whether we are using the GNU C compiler
configure:2849: gcc -c   conftest.c >&5
configure:2855: $? = 0
configure:2858: test -z 			 || test ! -s conftest.err
configure:2861: $? = 0
configure:2864: test -s conftest.o
configure:2867: $? = 0
configure:2880: result: yes
configure:2886: checking whether gcc accepts -g
configure:2907: gcc -c -g  conftest.c >&5
configure:2913: $? = 0
configure:2916: test -z 			 || test ! -s conftest.err
configure:2919: $? = 0
configure:2922: test -s conftest.o
configure:2925: $? = 0
configure:2936: result: yes
configure:2953: checking for gcc option to accept ANSI C
configure:3023: gcc  -c -g -O2  conftest.c >&5
configure:3029: $? = 0
configure:3032: test -z 			 || test ! -s conftest.err
configure:3035: $? = 0
configure:3038: test -s conftest.o
configure:3041: $? = 0
configure:3059: result: none needed
configure:3077: gcc -c -g -O2  conftest.c >&5
conftest.c:2: parse error before "me"
configure:3083: $? = 1
configure: failed program was:
| #ifndef __cplusplus
|   choke me
| #endif
configure:3215: checking dependency style of gcc
configure:3298: result: gcc3
configure:3315: checking for a sed that does not truncate output
configure:3369: result: /bin/sed
configure:3372: checking for egrep
configure:3382: result: grep -E
configure:3398: checking for ld used by gcc
configure:3465: result: /usr/bin/ld
configure:3474: checking if the linker (/usr/bin/ld) is GNU ld
configure:3489: result: yes
configure:3494: checking for /usr/bin/ld option to reload object files
configure:3501: result: -r
configure:3510: checking for BSD-compatible nm
configure:3552: result: /usr/bin/nm -B
configure:3556: checking whether ln -s works
configure:3560: result: yes
configure:3567: checking how to recognise dependent libraries
configure:3741: result: pass_all
configure:3954: checking how to run the C preprocessor
configure:3989: gcc -E  conftest.c
configure:3995: $? = 0
configure:4027: gcc -E  conftest.c
conftest.c:11:28: ac_nonexistent.h: No such file or directory
configure:4033: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:4072: result: gcc -E
configure:4096: gcc -E  conftest.c
configure:4102: $? = 0
configure:4134: gcc -E  conftest.c
conftest.c:11:28: ac_nonexistent.h: No such file or directory
configure:4140: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:4184: checking for ANSI C header files
configure:4209: gcc -c -g -O2  conftest.c >&5
configure:4215: $? = 0
configure:4218: test -z 			 || test ! -s conftest.err
configure:4221: $? = 0
configure:4224: test -s conftest.o
configure:4227: $? = 0
configure:4313: gcc -o conftest -g -O2   conftest.c  >&5
configure:4316: $? = 0
configure:4318: ./conftest
configure:4321: $? = 0
configure:4336: result: yes
configure:4360: checking for sys/types.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for sys/stat.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for stdlib.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for string.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for memory.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for strings.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for inttypes.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for stdint.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4360: checking for unistd.h
configure:4376: gcc -c -g -O2  conftest.c >&5
configure:4382: $? = 0
configure:4385: test -z 			 || test ! -s conftest.err
configure:4388: $? = 0
configure:4391: test -s conftest.o
configure:4394: $? = 0
configure:4405: result: yes
configure:4431: checking dlfcn.h usability
configure:4443: gcc -c -g -O2  conftest.c >&5
configure:4449: $? = 0
configure:4452: test -z 			 || test ! -s conftest.err
configure:4455: $? = 0
configure:4458: test -s conftest.o
configure:4461: $? = 0
configure:4471: result: yes
configure:4475: checking dlfcn.h presence
configure:4485: gcc -E  conftest.c
configure:4491: $? = 0
configure:4511: result: yes
configure:4546: checking for dlfcn.h
configure:4553: result: yes
configure:4618: checking for g++
configure:4634: found /usr/bin/g++
configure:4644: result: g++
configure:4660: checking for C++ compiler version
configure:4663: g++ --version </dev/null >&5
g++ (GCC) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:4666: $? = 0
configure:4668: g++ -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --host=i386-redhat-linux
Thread model: posix
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
configure:4671: $? = 0
configure:4673: g++ -V </dev/null >&5
g++: argument to `-V' missing

configure:4676: $? = 1
configure:4679: checking whether we are using the GNU C++ compiler
configure:4703: g++ -c   conftest.cc >&5
configure:4709: $? = 0
configure:4712: test -z 			 || test ! -s conftest.err
configure:4715: $? = 0
configure:4718: test -s conftest.o
configure:4721: $? = 0
configure:4734: result: yes
configure:4740: checking whether g++ accepts -g
configure:4761: g++ -c -g  conftest.cc >&5
configure:4767: $? = 0
configure:4770: test -z 			 || test ! -s conftest.err
configure:4773: $? = 0
configure:4776: test -s conftest.o
configure:4779: $? = 0
configure:4790: result: yes
configure:4832: g++ -c -g -O2  conftest.cc >&5
configure:4838: $? = 0
configure:4841: test -z 			 || test ! -s conftest.err
configure:4844: $? = 0
configure:4847: test -s conftest.o
configure:4850: $? = 0
configure:4876: g++ -c -g -O2  conftest.cc >&5
conftest.cc: In function `int main()':
conftest.cc:26: `exit' undeclared (first use this function)
conftest.cc:26: (Each undeclared identifier is reported only once for each 
   function it appears in.)
configure:4882: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| exit (42);
|   ;
|   return 0;
| }
configure:4832: g++ -c -g -O2  conftest.cc >&5
configure:4838: $? = 0
configure:4841: test -z 			 || test ! -s conftest.err
configure:4844: $? = 0
configure:4847: test -s conftest.o
configure:4850: $? = 0
configure:4876: g++ -c -g -O2  conftest.cc >&5
configure:4882: $? = 0
configure:4885: test -z 			 || test ! -s conftest.err
configure:4888: $? = 0
configure:4891: test -s conftest.o
configure:4894: $? = 0
configure:4919: checking dependency style of g++
configure:5002: result: gcc3
configure:5024: checking how to run the C++ preprocessor
configure:5055: g++ -E  conftest.cc
configure:5061: $? = 0
configure:5093: g++ -E  conftest.cc
conftest.cc:25:28: ac_nonexistent.h: No such file or directory
configure:5099: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:5138: result: g++ -E
configure:5162: g++ -E  conftest.cc
configure:5168: $? = 0
configure:5200: g++ -E  conftest.cc
conftest.cc:25:28: ac_nonexistent.h: No such file or directory
configure:5206: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:5301: checking for g77
configure:5317: found /usr/bin/g77
configure:5327: result: g77
configure:5345: checking for Fortran 77 compiler version
configure:5345: g77 --version </dev/null >&5
GNU Fortran (GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-5)) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
Copyright (C) 2002 Free Software Foundation, Inc.

GNU Fortran comes with NO WARRANTY, to the extent permitted by law.
You may redistribute copies of GNU Fortran
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING
or type the command `info -f g77 Copying'.
configure:5348: $? = 0
configure:5350: g77 -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --host=i386-redhat-linux
Thread model: posix
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
configure:5353: $? = 0
configure:5355: g77 -V </dev/null >&5
g77: argument to `-V' missing
configure:5358: $? = 1
configure:5366: checking whether we are using the GNU Fortran 77 compiler
configure:5380: g77 -c  conftest.F >&5
configure:5386: $? = 0
configure:5389: test -z 			 || test ! -s conftest.err
configure:5392: $? = 0
configure:5395: test -s conftest.o
configure:5398: $? = 0
configure:5411: result: yes
configure:5417: checking whether g77 accepts -g
configure:5429: g77 -c -g conftest.f >&5
configure:5435: $? = 0
configure:5438: test -z 			 || test ! -s conftest.err
configure:5441: $? = 0
configure:5444: test -s conftest.o
configure:5447: $? = 0
configure:5459: result: yes
configure:5489: checking the maximum length of command line arguments
configure:5554: result: 32768
configure:5565: checking command to parse /usr/bin/nm -B output from gcc object
configure:5654: gcc -c -g -O2  conftest.c >&5
configure:5657: $? = 0
configure:5661: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[ 	]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ 	][ 	]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p' \> conftest.nm
configure:5664: $? = 0
configure:5716: gcc -o conftest -g -O2   conftest.c conftstm.o >&5
configure:5719: $? = 0
configure:5757: result: ok
configure:5761: checking for objdir
configure:5776: result: .libs
configure:5866: checking for ar
configure:5882: found /usr/bin/ar
configure:5893: result: ar
configure:5946: checking for ranlib
configure:5962: found /usr/bin/ranlib
configure:5973: result: ranlib
configure:6026: checking for strip
configure:6042: found /usr/bin/strip
configure:6053: result: strip
configure:6315: checking if gcc static flag  works
configure:6338: result: yes
configure:6356: checking if gcc supports -fno-rtti -fno-exceptions
configure:6377: gcc -c -g -O2  -fno-rtti -fno-exceptions conftest.c >&5
configure:6381: $? = 0
configure:6389: result: yes
configure:6404: checking for gcc option to produce PIC
configure:6581: result: -fPIC
configure:6589: checking if gcc PIC flag -fPIC works
configure:6610: gcc -c -g -O2  -fPIC -DPIC conftest.c >&5
configure:6614: $? = 0
configure:6622: result: yes
configure:6646: checking if gcc supports -c -o file.o
configure:6670: gcc -c -g -O2  -o out/conftest2.o conftest.c >&5
configure:6674: $? = 0
configure:6691: result: yes
configure:6717: checking whether the gcc linker (/usr/bin/ld) supports shared libraries
configure:7564: result: yes
configure:7590: checking whether -lc should be explicitly linked in
configure:7595: gcc -c -g -O2  conftest.c >&5
configure:7598: $? = 0
configure:7612: gcc -shared conftest.o  -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| grep  -lc  \>/dev/null 2\>\&1
configure:7615: $? = 0
configure:7627: result: no
configure:7635: checking dynamic linker characteristics
configure:8175: result: GNU/Linux ld.so
configure:8179: checking how to hardcode library paths into programs
configure:8204: result: immediate
configure:8218: checking whether stripping libraries is possible
configure:8223: result: yes
configure:9046: checking if libtool supports shared libraries
configure:9048: result: yes
configure:9051: checking whether to build shared libraries
configure:9109: result: yes
configure:9112: checking whether to build static libraries
configure:9116: result: yes
configure:9208: creating libtool
configure:9755: checking for ld used by g++
configure:9822: result: /usr/bin/ld
configure:9831: checking if the linker (/usr/bin/ld) is GNU ld
configure:9846: result: yes
configure:9897: checking whether the g++ linker (/usr/bin/ld) supports shared libraries
configure:10723: result: yes
configure:10741: g++ -c -g -O2  conftest.cc >&5
configure:10744: $? = 0
configure:10840: checking for g++ option to produce PIC
configure:11092: result: -fPIC
configure:11100: checking if g++ PIC flag -fPIC works
configure:11121: g++ -c -g -O2  -fPIC -DPIC conftest.cc >&5
configure:11125: $? = 0
configure:11133: result: yes
configure:11157: checking if g++ supports -c -o file.o
configure:11181: g++ -c -g -O2  -o out/conftest2.o conftest.cc >&5
configure:11185: $? = 0
configure:11202: result: yes
configure:11228: checking whether the g++ linker (/usr/bin/ld) supports shared libraries
configure:11256: result: yes
configure:11327: checking dynamic linker characteristics
configure:11867: result: GNU/Linux ld.so
configure:11871: checking how to hardcode library paths into programs
configure:11896: result: immediate
configure:11910: checking whether stripping libraries is possible
configure:11915: result: yes
configure:13215: checking if libtool supports shared libraries
configure:13217: result: yes
configure:13220: checking whether to build shared libraries
configure:13238: result: yes
configure:13241: checking whether to build static libraries
configure:13245: result: yes
configure:13257: checking for g77 option to produce PIC
configure:13434: result: -fPIC
configure:13442: checking if g77 PIC flag -fPIC works
configure:13463: g77 -c -g -O2 -fPIC conftest.f >&5
configure:13467: $? = 0
configure:13475: result: yes
configure:13499: checking if g77 supports -c -o file.o
configure:13523: g77 -c -g -O2 -o out/conftest2.o conftest.f >&5
configure:13527: $? = 0
configure:13544: result: yes
configure:13570: checking whether the g77 linker (/usr/bin/ld) supports shared libraries
configure:14397: result: yes
configure:14468: checking dynamic linker characteristics
configure:15008: result: GNU/Linux ld.so
configure:15012: checking how to hardcode library paths into programs
configure:15037: result: immediate
configure:15051: checking whether stripping libraries is possible
configure:15056: result: yes
configure:19136: checking for strerror in -lcposix
configure:19166: gcc -o conftest -g -O2   conftest.c -lcposix   >&5
/usr/bin/ld: cannot find -lcposix
collect2: ld returned 1 exit status
configure:19172: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| /* end confdefs.h.  */
| 
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char strerror ();
| int
| main ()
| {
| strerror ();
|   ;
|   return 0;
| }
configure:19197: result: no
configure:19251: checking for gcc
configure:19277: result: gcc
configure:19521: checking for C compiler version
configure:19524: gcc --version </dev/null >&5
gcc (GCC) 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:19527: $? = 0
configure:19529: gcc -v </dev/null >&5
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.2/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --host=i386-redhat-linux
Thread model: posix
gcc version 3.2.2 20030222 (Red Hat Linux 3.2.2-5)
configure:19532: $? = 0
configure:19534: gcc -V </dev/null >&5
gcc: argument to `-V' is missing
configure:19537: $? = 1
configure:19540: checking whether we are using the GNU C compiler
configure:19595: result: yes
configure:19601: checking whether gcc accepts -g
configure:19651: result: yes
configure:19668: checking for gcc option to accept ANSI C
configure:19774: result: none needed
configure:19792: gcc -c -g -O2  conftest.c >&5
conftest.c:2: parse error before "me"
configure:19798: $? = 1
configure: failed program was:
| #ifndef __cplusplus
|   choke me
| #endif
configure:19930: checking dependency style of gcc
configure:20013: result: gcc3
configure:20033: checking for gcc option to accept ANSI C
configure:20096: gcc  -c -g -O2  conftest.c >&5
configure:20102: $? = 0
configure:20105: test -z 			 || test ! -s conftest.err
configure:20108: $? = 0
configure:20111: test -s conftest.o
configure:20114: $? = 0
configure:20129: result: none needed
configure:20140: checking for ANSI C header files
configure:20292: result: yes
configure:20327: checking locale.h usability
configure:20339: gcc -c -g -O2  conftest.c >&5
configure:20345: $? = 0
configure:20348: test -z 			 || test ! -s conftest.err
configure:20351: $? = 0
configure:20354: test -s conftest.o
configure:20357: $? = 0
configure:20367: result: yes
configure:20371: checking locale.h presence
configure:20381: gcc -E  conftest.c
configure:20387: $? = 0
configure:20407: result: yes
configure:20442: checking for locale.h
configure:20449: result: yes
configure:20463: checking for LC_MESSAGES
configure:20484: gcc -o conftest -g -O2   conftest.c  >&5
configure:20490: $? = 0
configure:20493: test -z 			 || test ! -s conftest.err
configure:20496: $? = 0
configure:20499: test -s conftest
configure:20502: $? = 0
configure:20514: result: yes
configure:20543: checking libintl.h usability
configure:20555: gcc -c -g -O2  conftest.c >&5
configure:20561: $? = 0
configure:20564: test -z 			 || test ! -s conftest.err
configure:20567: $? = 0
configure:20570: test -s conftest.o
configure:20573: $? = 0
configure:20583: result: yes
configure:20587: checking libintl.h presence
configure:20597: gcc -E  conftest.c
configure:20603: $? = 0
configure:20623: result: yes
configure:20658: checking for libintl.h
configure:20665: result: yes
configure:20676: checking for dgettext in libc
configure:20699: gcc -o conftest -g -O2   conftest.c  >&5
configure:20705: $? = 0
configure:20708: test -z 			 || test ! -s conftest.err
configure:20711: $? = 0
configure:20714: test -s conftest
configure:20717: $? = 0
configure:20730: result: yes
configure:20738: checking for bind_textdomain_codeset
configure:20795: gcc -o conftest -g -O2   conftest.c  >&5
configure:20801: $? = 0
configure:20804: test -z 			 || test ! -s conftest.err
configure:20807: $? = 0
configure:20810: test -s conftest
configure:20813: $? = 0
configure:20825: result: yes
configure:21193: checking for msgfmt
configure:21220: result: /usr/bin/msgfmt
configure:21233: checking for dcgettext
configure:21290: gcc -o conftest -g -O2   conftest.c   >&5
configure:21296: $? = 0
configure:21299: test -z 			 || test ! -s conftest.err
configure:21302: $? = 0
configure:21305: test -s conftest
configure:21308: $? = 0
configure:21320: result: yes
configure:21332: checking for gmsgfmt
configure:21363: result: /usr/bin/msgfmt
configure:21372: checking for xgettext
configure:21399: result: /usr/bin/xgettext
configure:21423: gcc -o conftest -g -O2   conftest.c   >&5
configure:21429: $? = 0
configure:21432: test -z 			 || test ! -s conftest.err
configure:21435: $? = 0
configure:21438: test -s conftest
configure:21441: $? = 0
configure:21613: checking for catalogs to be installed
configure:21638: result:  en_GB
configure:21676: checking for pkg-config
configure:21694: found /usr/bin/pkg-config
configure:21707: result: /usr/bin/pkg-config
configure:21716: checking for glib-genmarshal
configure:21734: found /usr/bin/glib-genmarshal
configure:21747: result: /usr/bin/glib-genmarshal
configure:21810: checking for gobject-2.0 glib-2.0
configure:21814: result: yes
configure:21818: checking BTCTL_CFLAGS
configure:21821: result: -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
configure:21824: checking BTCTL_LIBS
configure:21827: result: -lgobject-2.0 -lglib-2.0  
configure:21914: checking for gtk+-2.0
configure:21918: result: yes
configure:21922: checking GTK_CFLAGS
configure:21925: result: -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
configure:21928: checking GTK_LIBS
configure:21931: result: -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
configure:21962: checking for openobex-config
configure:21980: found /usr/local/bin/openobex-config
configure:21993: result: /usr/local/bin/openobex-config
configure:22008: checking for openobex - version >= 1.0.0
configure:22053: result: yes
configure:22107: checking for libbluetooth
configure:22145: gcc -o conftest -g -O2 -INONE/include   conftest.c   -lbluetooth >&5
configure:22148: $? = 0
configure:22150: ./conftest
configure:22153: $? = 0
configure:22171: result: yes
configure:22266: checking for SDP support
configure:22303: gcc -o conftest -g -O2   -INONE/include   conftest.c  -lsdp  >&5
/usr/bin/ld: cannot find -lsdp
collect2: ld returned 1 exit status
configure:22306: $? = 1
configure: program exited with status 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define GETTEXT_PACKAGE "libbtctl"
| #define HAVE_LOCALE_H 1
| #define HAVE_LC_MESSAGES 1
| #define HAVE_BIND_TEXTDOMAIN_CODESET 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define ENABLE_NLS 1
| /* end confdefs.h.  */
| 
| #include <stdio.h>
| #include <stdlib.h>
| #include <string.h>
| #include <bluetooth/sdp.h>
| #include <bluetooth/sdp_lib.h>
| 
| int main ()
| {
|   uuid_t group;
|   sdp_uuid16_create(&group, PUBLIC_BROWSE_GROUP);
|   system("touch conf.sdptest");
|   return 0;
| }
| 
| 
configure:22333: result: no
configure:22360: gcc -o conftest -g -O2     conftest.c  -lsdp  >&5
/usr/bin/ld: cannot find -lsdp
collect2: ld returned 1 exit status
configure:22366: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "libbtctl"
| #define PACKAGE_TARNAME "libbtctl"
| #define PACKAGE_VERSION "0.4.1"
| #define PACKAGE_STRING "libbtctl 0.4.1"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE "libbtctl"
| #define VERSION "0.4.1"
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_DLFCN_H 1
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define GETTEXT_PACKAGE "libbtctl"
| #define HAVE_LOCALE_H 1
| #define HAVE_LC_MESSAGES 1
| #define HAVE_BIND_TEXTDOMAIN_CODESET 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define ENABLE_NLS 1
| /* end confdefs.h.  */
| 
| #include <stdio.h>
| #include <bluetooth/sdp.h>
| 
| int
| main ()
| {
|  return 0;
|   ;
|   return 0;
| }
configure:22409: WARNING: no libsdp but continuing anyway
configure:22478: checking for pygtk-2.0
configure:22482: result: yes
configure:22486: checking BTCTLPY_CFLAGS
configure:22489: result: -I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
configure:22492: checking BTCTLPY_LIBS
configure:22495: result: -lgobject-2.0 -lglib-2.0  
configure:22520: checking for python support
configure:22554: checking for a Python interpreter with version >= 2.2
configure:22573: python -c import sys, string # split strings by '.' and convert to numeric. Append some zeros # because we need at least 4 digits for the hex conversion. minver = map(int, string.split('2.2', '.')) + [0, 0, 0] minverhex = 0 for i in xrange(0, 4): minverhex = (minverhex << 8) + minver[i] sys.exit(sys.hexversion < minverhex)
configure:22576: $? = 0
configure:22583: result: python
configure:22588: checking for python
configure:22606: found /usr/bin/python
configure:22618: result: /usr/bin/python
configure:22630: checking for python version
configure:22637: result: 2.2
configure:22649: checking for python platform
configure:22656: result: linux2
configure:22663: checking for python script directory
configure:22671: result: ${prefix}/lib/python2.2/site-packages
configure:22680: checking for python extension module directory
configure:22688: result: ${exec_prefix}/lib/python2.2/site-packages
configure:22697: result: yes
configure:22702: checking for headers required to compile python extensions
configure:22721: gcc -E  -I/usr/include/python2.2 conftest.c
configure:22727: $? = 0
configure:22739: result: found
configure:22836: checking for mono
configure:22932: checking for gapi
configure:22974: checking for Mono support
configure:23001: result: no
configure:23035: checking gtk-doc version >= 1.0
configure:23042: result: no
configure:23090: checking for more warnings
configure:23163: result: no
configure:23327: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by libbtctl config.status 0.4.1, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  CONFIG_FILES    = 
  CONFIG_HEADERS  = 
  CONFIG_LINKS    = 
  CONFIG_COMMANDS = 
  $ ./config.status 

on lesshaste.plus.com

config.status:851: creating Makefile
config.status:851: creating libbtctl.pc
config.status:851: creating src/Makefile
config.status:851: creating po/Makefile.in
config.status:851: creating docs/Makefile
config.status:851: creating docs/reference/Makefile
config.status:851: creating mono/Makefile
config.status:851: creating mono/libbtctl/Makefile
config.status:851: creating mono/libbtctl/libbtctl-sharp.pc
config.status:851: creating mono/libbtctl/AssemblyInfo.cs
config.status:851: creating mono/sources/Makefile
config.status:917: creating config.h
config.status:1041: config.h is unchanged
config.status:1221: executing default-1 commands
config.status:1221: executing depfiles commands
config.status:1221: executing default-2 commands

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_build_alias=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXCPP_set=
ac_cv_env_CXXCPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_F77_set=
ac_cv_env_F77_value=
ac_cv_env_FFLAGS_set=
ac_cv_env_FFLAGS_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_f77_compiler_gnu=yes
ac_cv_func_bind_textdomain_codeset=yes
ac_cv_func_dcgettext=yes
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_libintl_h=yes
ac_cv_header_locale_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=i686-pc-linux-gnu
ac_cv_host_alias=i686-pc-linux-gnu
ac_cv_lib_cposix_strerror=no
ac_cv_objext=o
ac_cv_path_GLIB_GENMARSHAL=/usr/bin/glib-genmarshal
ac_cv_path_GMSGFMT=/usr/bin/msgfmt
ac_cv_path_INTLTOOL_PERL=/usr/bin/perl
ac_cv_path_MSGFMT=/usr/bin/msgfmt
ac_cv_path_OPENOBEX_CONFIG=/usr/local/bin/openobex-config
ac_cv_path_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_PYTHON=/usr/bin/python
ac_cv_path_XGETTEXT=/usr/bin/xgettext
ac_cv_path_install='/usr/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_CXXCPP='g++ -E'
ac_cv_prog_ac_ct_AR=ar
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_ac_ct_F77=g77
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_ac_ct_STRIP=strip
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_cxx_g=yes
ac_cv_prog_egrep='grep -E'
ac_cv_prog_f77_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
am_cv_CXX_dependencies_compiler_type=gcc3
am_cv_pathless_PYTHON=python
am_cv_prog_cc_stdc=
am_cv_python_platform=linux2
am_cv_python_pyexecdir='${exec_prefix}/lib/python2.2/site-packages'
am_cv_python_pythondir='${prefix}/lib/python2.2/site-packages'
am_cv_python_version=2.2
am_cv_val_LC_MESSAGES=yes
gt_cv_func_dgettext_libc=yes
gt_cv_func_dgettext_libintl=no
gt_cv_have_gettext=yes
lt_cv_deplibs_check_method=pass_all
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=
lt_cv_ld_reload_flag=-r
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/bin/ld
lt_cv_path_LDCXX=/usr/bin/ld
lt_cv_path_NM='/usr/bin/nm -B'
lt_cv_path_SED=/bin/sed
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_c_o_CXX=yes
lt_cv_prog_compiler_c_o_F77=yes
lt_cv_prog_compiler_rtti_exceptions=yes
lt_cv_prog_gnu_ld=yes
lt_cv_prog_gnu_ldcxx=yes
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ 	]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ 	][ 	]*\(\)\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2\3 \3/p'\'''
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) $/  {\"\1\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \([^ ]*\) \([^ ]*\)$/  {"\2", (lt_ptr) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^. .* \(.*\)$/extern int \1;/p'\'''
lt_cv_sys_max_cmd_len=32768
lt_lt_cv_prog_compiler_c_o='"yes"'
lt_lt_cv_prog_compiler_c_o_CXX='"yes"'
lt_lt_cv_prog_compiler_c_o_F77='"yes"'
lt_lt_cv_sys_global_symbol_pipe='"sed -n -e '\''s/^.*[ 	]\\([ABCDGIRSTW][ABCDGIRSTW]*\\)[ 	][ 	]*\\(\\)\\([_A-Za-z][_A-Za-z0-9]*\\)\$/\\1 \\2\\3 \\3/p'\''"'
lt_lt_cv_sys_global_symbol_to_c_name_address='"sed -n -e '\''s/^: \\([^ ]*\\) \$/  {\\\"\\1\\\", (lt_ptr) 0},/p'\'' -e '\''s/^[BCDEGRST] \\([^ ]*\\) \\([^ ]*\\)\$/  {\"\\2\", (lt_ptr) \\&\\2},/p'\''"'
lt_lt_cv_sys_global_symbol_to_cdecl='"sed -n -e '\''s/^. .* \\(.*\\)\$/extern int \\1;/p'\''"'

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='aclocal-1.7'
ADDSDPLIB=''
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='tar'
AR='ar'
AUTOCONF='autoconf'
AUTOHEADER='autoheader'
AUTOMAKE='automake-1.7'
AWK='gawk'
BLUETOOTH_CFLAGS='-INONE/include'
BLUETOOTH_LIBS=' -lbluetooth'
BTCTLPY_CFLAGS='-I/usr/include/pygtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  '
BTCTLPY_LIBS='-lgobject-2.0 -lglib-2.0  '
BTCTL_CFLAGS='-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  '
BTCTL_DATA_DIR='${prefix}/share/libbtctl'
BTCTL_GAPI_CFLAGS=''
BTCTL_GAPI_LIBS=''
BTCTL_LIBS='-lgobject-2.0 -lglib-2.0  '
BTCTL_LIB_AGE='0'
BTCTL_LIB_CURRENT='1'
BTCTL_LIB_REVISION='1'
BTCTL_MONO_CFLAGS=''
BTCTL_MONO_LIBS=''
BUILD_MONO_FALSE=''
BUILD_MONO_TRUE='#'
CATALOGS=' en_GB.gmo'
CATOBJEXT='.gmo'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPP='gcc -E'
CPPFLAGS=''
CXX='g++'
CXXCPP='g++ -E'
CXXDEPMODE='depmode=gcc3'
CXXFLAGS='-g -O2'
CYGPATH_W='echo'
DATADIRNAME='share'
DEFS='-DHAVE_CONFIG_H'
DEFSDIR='/usr/share/pygtk/2.0/defs'
DEPDIR='.deps'
DLOPEN=''
DLPREOPEN=''
ECHO='echo'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='grep -E'
ENABLE_GTK_DOC_FALSE=''
ENABLE_GTK_DOC_TRUE='#'
EXEEXT=''
F77='g77'
FFLAGS='-g -O2'
GACUTIL=''
GAPI_PREFIX=''
GETTEXT_PACKAGE='libbtctl'
GLIB_GENMARSHAL='/usr/bin/glib-genmarshal'
GMOFILES=' en_GB.gmo'
GMSGFMT='/usr/bin/msgfmt'
GTK_CFLAGS='-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  '
GTK_LIBS='-Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  '
HAVE_PYTHON_FALSE='#'
HAVE_PYTHON_TRUE=''
HTML_DIR='${datadir}/gtk-doc/html'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
INSTOBJEXT='.mo'
INTLLIBS=''
INTLTOOL_CAVES_RULE='%.caves:     %.caves.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_DESKTOP_RULE='%.desktop:   %.desktop.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_DIRECTORY_RULE='%.directory: %.directory.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_EXTRACT='$(top_builddir)/intltool-extract'
INTLTOOL_KBD_RULE='%.kbd:       %.kbd.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -x -u -m -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_KEYS_RULE='%.keys:      %.keys.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -k -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_MERGE='$(top_builddir)/intltool-merge'
INTLTOOL_OAF_RULE='%.oaf:       %.oaf.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -o -p'
INTLTOOL_PERL='/usr/bin/perl'
INTLTOOL_PONG_RULE='%.pong:      %.pong.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -x -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_PROP_RULE='%.prop:      %.prop.in      $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_SCHEMAS_RULE='%.schemas:   %.schemas.in   $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -s -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_SERVER_RULE='%.server:    %.server.in    $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -o -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_SHEET_RULE='%.sheet:     %.sheet.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -x -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_SOUNDLIST_RULE='%.soundlist: %.soundlist.in $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_THEME_RULE='%.theme:     %.theme.in     $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -d -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_UI_RULE='%.ui:        %.ui.in        $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -x -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_UPDATE='$(top_builddir)/intltool-update'
INTLTOOL_XAM_RULE='%.xam:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -x -u -c $(top_builddir)/po/.intltool-merge-cache'
INTLTOOL_XML_RULE='%.xml:       %.xml.in       $(INTLTOOL_MERGE) $(wildcard $(top_srcdir)/po/*.po) ; LC_ALL=C $(INTLTOOL_MERGE) $(top_srcdir)/po $< $@ -x -u -c $(top_builddir)/po/.intltool-merge-cache'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LN_S='ln -s'
LTLIBOBJS=''
MAINT='#'
MAINTAINER_MODE_FALSE=''
MAINTAINER_MODE_TRUE='#'
MAKEINFO='makeinfo'
MKINSTALLDIRS='./mkinstalldirs'
MONO_INSTDIR=''
MONO_PREFIX=''
MSGFMT='/usr/bin/msgfmt'
OBJEXT='o'
OPENOBEX_CFLAGS='-I/usr/local/include'
OPENOBEX_CONFIG='/usr/local/bin/openobex-config'
OPENOBEX_LIBS='-lopenobex'
PACKAGE='libbtctl'
PACKAGE_BUGREPORT=''
PACKAGE_NAME='libbtctl'
PACKAGE_STRING='libbtctl 0.4.1'
PACKAGE_TARNAME='libbtctl'
PACKAGE_VERSION='0.4.1'
PATH_SEPARATOR=':'
PKG_CONFIG='/usr/bin/pkg-config'
POFILES=' en_GB.po'
POSUB='po'
PO_IN_DATADIR_FALSE=''
PO_IN_DATADIR_TRUE=''
PYTHON='/usr/bin/python'
PYTHON_EXEC_PREFIX='${exec_prefix}'
PYTHON_INCLUDES='-I/usr/include/python2.2'
PYTHON_PLATFORM='linux2'
PYTHON_PREFIX='${prefix}'
PYTHON_VERSION='2.2'
RANLIB='ranlib'
SDP_CFLAGS=''
SDP_LIBS=''
SET_MAKE=''
SHELL='/bin/sh'
STRIP='strip'
USE_NLS='yes'
VERSION='0.4.1'
XGETTEXT='/usr/bin/xgettext'
ac_ct_AR='ar'
ac_ct_CC='gcc'
ac_ct_CXX='g++'
ac_ct_F77='g77'
ac_ct_RANLIB='ranlib'
ac_ct_STRIP='strip'
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__fastdepCXX_FALSE='#'
am__fastdepCXX_TRUE=''
am__include='include'
am__leading_dot='.'
am__quote=''
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias=''
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='${prefix}/share'
exec_prefix='${prefix}'
host='i686-pc-linux-gnu'
host_alias=''
host_cpu='i686'
host_os='linux-gnu'
host_vendor='pc'
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/home/raph/libbtctl-0.4.1/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
pkgpyexecdir='${pyexecdir}/libbtctl'
pkgpythondir='${pythondir}/libbtctl'
prefix='/usr/local'
program_transform_name='s,x,x,'
pyexecdir='${exec_prefix}/lib/python2.2/site-packages'
pythondir='${prefix}/lib/python2.2/site-packages'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define ENABLE_NLS 1
#define GETTEXT_PACKAGE "libbtctl"
#define HAVE_BIND_TEXTDOMAIN_CODESET 1
#define HAVE_DCGETTEXT 1
#define HAVE_DLFCN_H 1
#define HAVE_GETTEXT 1
#define HAVE_INTTYPES_H 1
#define HAVE_LC_MESSAGES 1
#define HAVE_LOCALE_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STDINT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define PACKAGE "libbtctl"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME "libbtctl"
#define PACKAGE_STRING "libbtctl 0.4.1"
#define PACKAGE_TARNAME "libbtctl"
#define PACKAGE_VERSION "0.4.1"
#define STDC_HEADERS 1
#define STDC_HEADERS 1
#define VERSION "0.4.1"
#endif
#ifdef __cplusplus
extern "C" void std::exit (int) throw (); using std::exit;

configure: exit 0


More information about the gnome-bluetooth mailing list